;(function (win) {
    console.log(win);
    if (typeof win === void 0) return;
    if (!win.console) return;

    win.console.knbj = win.console.knbn = function () {
    };
    var _console = win.console;
    var originalConsoleObj = {};

    var CONSOLE_METHOD = ['log', 'error', 'info', 'warn', 'dir',
        'time', 'timeEnd', 'clear', 'table', 'assert',
        'count', 'debug', 'knbj', 'knbn'];

    var logQueue = [];

    for (var i = 0; i < CONSOLE_METHOD.length; i++) {
        var logType = CONSOLE_METHOD[i];
        var originalMethod = _console[logType].bind(_console);

        (function (logType) {
            win.console[logType] = function () {
                var args = [].slice.call(arguments);
                logQueue.push({type: logType, args: args});
            }
        })(logType);

        originalConsoleObj[logType] = originalMethod;
    };

    function resetConsole() {
        for (var i = 0; i < CONSOLE_METHOD.length; i++) {
            var logType = CONSOLE_METHOD[i];
            win.console[logType] = originalConsoleObj[logType];
        }
    };

    win.__resetConsole = resetConsole;
    win.__logQueue = logQueue;

    win.addEventListener('load', function () {
        var script = document.createElement('script');
        script.src = "https://s0.meituan.net/bs/delivr/9b34e98/knb/eruda.min.js";
        document.body.appendChild(script);

        script.onload = function () {
            win.__resetConsole();
            eruda.init();
            eruda.get().config.set('displaySize', '100%');
            for (var i = 0; i < logQueue.length; i++) {
                console[logQueue[i].type].apply(null, logQueue[i].args);
            }
        }
    });
})(window);